> ## Documentation Index
> Fetch the complete documentation index at: https://www.truefoundry.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create multipart upload

> Create a multipart upload for large files in an artifact version.



## OpenAPI

````yaml /openapi.json post /api/svc/v1/artifact-versions/signed-urls/multipart
openapi: 3.1.0
info:
  title: TrueFoundry API
  description: API for TrueFoundry
  version: 0.1.0
  contact: {}
servers:
  - url: https://{controlPlaneURL}
    variables:
      controlPlaneURL:
        default: example-company.truefoundry.cloud
        description: Control Plane URL
security: []
tags:
  - name: Agent
  - name: Agent Skills
  - name: Applications
  - name: Metrics
  - name: Apply
  - name: Artifacts
  - name: Audit Logs
  - name: Clusters
  - name: Jobs
  - name: LLM Gateway Budgets
  - name: Logs
  - name: MCP Registry
  - name: MCP Servers V2
  - name: MLRepos
  - name: Model Deployments
  - name: Models
  - name: Personal Access Tokens
  - name: Prompts
  - name: Provider Integrations
  - name: SCIM v2
  - name: Secret Groups
  - name: Secrets
  - name: Teams
  - name: Traces
  - name: Users
  - name: Virtual Accounts
  - name: Role Bindings
  - name: Workspaces
  - name: Provider Accounts
paths:
  /api/svc/v1/artifact-versions/signed-urls/multipart:
    post:
      tags:
        - Artifacts
      summary: Create multipart upload
      description: Create a multipart upload for large files in an artifact version.
      operationId: ArtifactVersion.createMultiPartUpload
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateMultiPartUploadRequest'
      responses:
        '200':
          description: Multipart upload information including signed URLs for each part
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MultiPartUploadResponse'
      security:
        - jwt: []
components:
  schemas:
    CreateMultiPartUploadRequest:
      type: object
      properties:
        id:
          type: string
          description: Identifier of the artifact version to upload to.
        path:
          type: string
          description: Path of the file relative to the artifact version storage root.
        num_parts:
          type: number
          description: >-
            Number of parts the file will be split into for the multipart
            upload.
      required:
        - id
        - path
        - num_parts
      title: CreateMultiPartUploadRequest
      x-fern-type-name: CreateMultiPartUploadRequest
    MultiPartUploadResponse:
      type: object
      properties:
        data:
          description: Details of the created multipart upload.
          allOf:
            - $ref: '#/components/schemas/MultiPartUpload'
      required:
        - data
      title: MultiPartUploadResponse
      x-fern-type-name: MultiPartUploadResponse
    MultiPartUpload:
      type: object
      properties:
        storage_provider:
          type: string
          description: Storage provider backing the multipart upload.
          enum:
            - S3_COMPATIBLE
            - AZURE_BLOB
        part_signed_urls:
          description: Signed URLs for uploading each part of the multipart upload.
          type: array
          items:
            $ref: '#/components/schemas/SignedURL'
        finalize_signed_url:
          description: Signed URL used to finalize the multipart upload.
          allOf:
            - $ref: '#/components/schemas/SignedURL'
        s3_compatible_upload_id:
          type: string
          description: Upload identifier for S3-compatible storage providers.
          nullable: true
        azure_blob_block_ids:
          description: Block identifiers used for Azure Blob storage uploads.
          nullable: true
          type: array
          items:
            type: string
      required:
        - storage_provider
        - part_signed_urls
        - finalize_signed_url
      title: MultiPartUpload
      x-fern-type-name: MultiPartUpload
    SignedURL:
      type: object
      properties:
        path:
          type: string
          description: Path of the file relative to the artifact version storage root.
        signed_url:
          type: string
          description: Signed URL used to access or upload the file.
      required:
        - path
        - signed_url
      title: SignedURL
      x-fern-type-name: SignedURL
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````